﻿@import url('https://fonts.googleapis.com/css2?family=Space+Mono:ital,wght@0,400;0,700;1,400;1,700&display=swap');

.type-spacemono {
    font-family: 'Space Mono', monospace;
    font-size: 100%; 
    line-height: 2.1;
    font-weight: 400;
    letter-spacing: 0px;
    text-transform: none;
    font-style: normal;
}
.type-spacemono p, .type-spacemono td, .type-spacemono li, .type-spacemono label {
    font-family: 'Space Mono', monospace;
    font-size: 1.05rem; 
    line-height: 2.1;
    font-weight: 400;
    letter-spacing: 0px;
    text-transform: none;
    font-style: normal;
}
.type-spacemono h1, .type-spacemono h2, .type-spacemono h3, .type-spacemono h4, .type-spacemono h5, .type-spacemono h6 {
    font-family: 'Space Mono', monospace;
    font-weight: 400;
    line-height: 1.5;
    letter-spacing: 1px;
    text-transform: none;
    font-style: normal;
}        

.type-spacemono h1 {font-size: 2.8rem;margin: 0.05rem 0 0.2rem;}
.type-spacemono h2 {font-size: 2.2rem;margin: 0.17rem 0 0.2rem;}
.type-spacemono h3 {font-size: 1.8rem;margin: 0.3rem 0 0.2rem;}
.type-spacemono h4 {font-size: 1.5rem;margin: 0.5rem 0 0.2rem;line-height: 1.6;}
.type-spacemono h5 {font-size: 1.3rem;margin: 0.64rem 0 0.2rem;line-height: 1.8;}
.type-spacemono h6 {font-size: 1.05rem;margin: 0.79rem 0 0.2rem;font-weight: bold;line-height: 2;}
.type-spacemono p {margin:0.7rem 0 1rem;}

.type-spacemono .display { margin-bottom: 0.5rem; }
.type-spacemono .display h1 {
    font-family: 'Space Mono', monospace;
    font-size: 3.5rem;
    letter-spacing: 4px;
    line-height: 1.2;
    text-transform: uppercase;
    font-weight: 400;
    margin: 0.4rem 0;
    font-style: normal;
}
.type-spacemono .display p {
    font-family: 'Space Mono', monospace;
    font-size: 1.2rem;
    line-height: 1.6;
    letter-spacing: 2px;
    text-transform: none;
    font-style: normal;
}

@media only screen and (max-width: 640px) {
    .type-spacemono .display h1 {font-size: 2.5rem;}
    .type-spacemono .display p {font-size: 1.4rem;}
    .type-spacemono h1 {font-size: 2.3rem;}
    .type-spacemono h2 {font-size: 2rem;}
    .type-spacemono h3 {font-size: 1.7rem;}
    .type-spacemono h4 {font-size: 1.4rem;}
    .type-spacemono h5 {font-size: 1.2rem;}
    .type-spacemono h6 {font-size: 1rem;} 
}

.type-spacemono .display-font1 {font-family: 'Space Mono', monospace;}
.type-spacemono .display-font2 {font-family: 'Space Mono', monospace;}
.type-spacemono .default-font1 {font-family: 'Space Mono', monospace;}
.type-spacemono .default-font2 {font-family: 'Space Mono', monospace;}

/* h1-h6: 42  28  21  17  14 12 */
.type-spacemono h1 {font-size:42px}
@media all and (max-width: 1800px) { 
    .type-spacemono h1 {font-size:2.19vw; font-size:clamp(27px, 2.19vw, 2.19vw)}
}
@media all and (min-width: 1921px) { 
    .type-spacemono h1 {font-size:2.19vw}
}

.type-spacemono h2 {font-size:28px}
@media all and (max-width: 1800px) { 
    .type-spacemono h2 {font-size:1.56vw; font-size:clamp(23px, 1.56vw, 1.56vw)}
}
@media all and (min-width: 1921px) { 
    .type-spacemono h2 {font-size:1.46vw}
}

.type-spacemono h3 {font-size:21px}
@media all and (max-width: 1800px) { 
    .type-spacemono h3 {font-size:1.29vw; font-size:clamp(21px, 1.29vw, 1.29vw)}
}
@media all and (min-width: 1921px) { 
    .type-spacemono h3 {font-size:1.09vw}
}

.type-spacemono h4 {font-size:17px}
@media all and (max-width: 1800px) { 
    .type-spacemono h4 {font-size:1.05vw; font-size:clamp(17px, 1.05vw, 1.05vw)}
}
@media all and (min-width: 1921px) { 
    .type-spacemono h4 {font-size:0.89vw}
}

.type-spacemono h5 {font-size:14px}
@media all and (max-width: 1800px) { 
    .type-spacemono h5 {font-size:0.86vw; font-size:clamp(14px, 0.86vw, 0.86vw)}
}
@media all and (min-width: 1921px) { 
    .type-spacemono h5 {font-size:0.73vw}
}

.type-spacemono h6 {font-size:12px}
@media all and (max-width: 1800px) { 
    .type-spacemono h6 {font-size:0.74vw; font-size:clamp(12px, 0.74vw, 0.74vw)} 
}
@media all and (min-width: 1921px) { 
    .type-spacemono h6 {font-size:0.63vw}
}

/* 17 */
.type-spacemono p,
.type-spacemono td, 
.type-spacemono li, 
.type-spacemono label {
    font-size: 17px; 
}
@media all and (max-width: 1800px) { 
    .type-spacemono p,
    .type-spacemono td, 
    .type-spacemono li, 
    .type-spacemono label {font-size:1.05vw; font-size:clamp(16px, 1.05vw, 1.05vw)}
}
@media all and (min-width: 1921px) { 
    .type-spacemono .v2 p,
    .type-spacemono .v2 td, 
    .type-spacemono .v2 li, 
    .type-spacemono .v2 label {font-size:0.89vw}
}

/* @import url('https://fonts.googleapis.com/css?family=Space+Mono:400,400i,700'); */
